process.chdir(__dirname);

const fs = require('fs');

const config = require('komodo-sdk/config');

global.KOMODO_LOG_LABEL = `KOMODO-CENTER@${(config && typeof config.name === 'string') ? config.name.toUpperCase() : 'SMS'}`;
process.title = global.KOMODO_LOG_LABEL;

const logger = require('komodo-sdk/logger');

global.KOMODO_LOGGER = logger;

require('./lib/prefixes');
require('./lib/transport');
require('./lib/apiserver');

fs.writeFileSync('pid.txt', process.pid.toString());
